Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.uka.cmtm.serviceregistry.query
Class ServiceProfileInfo

    java.lang.Object
      de.uka.cmtm.serviceregistry.query.ServiceProfileParameter
          de.uka.cmtm.serviceregistry.query.ServiceProfileInfo

All Implemented Interfaces:
  Cloneable

    public class ServiceProfileInfo

extends ServiceProfileParameter

This class describes a single search result of ServiceProfileLocator.

Author:
  tilmann

Constructor Summary
`ServiceProfileInfo()`

Method Summary
`ServiceProfileInfo` | `clone()`
`String` | `getDescription()`
`String` | `getProfileUri()`
`double` | `getRelevance()`
`void` | `setDescription(String description)`
`void` | `setProfileUri(String profileUri)`
`void` | `setRelevance(double relevance)`
`String` | `toString()`

Methods inherited from class de.uka.cmtm.serviceregistry.query.ServiceProfileParameter
`getCategory, getEffects, getEffectsCsv, getLogicalInputs, getLogicalInputsCsv, getLogicalOutputs, getLogicalOutputsCsv, getPreconditions, getPreconditionsCsv, getUserRoles, getUserRolesCsv, setCategory, setEffects, setEffectsCsv, setLogicalInputs, setLogicalInputsCsv, setLogicalOutputs, setLogicalOutputsCsv, setPreconditions, setPreconditionsCsv, setUserRoles, setUserRolesCsv`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServiceProfileInfo

    public ServiceProfileInfo()

Method Detail

### getRelevance

    public double getRelevance()

  Returns:
    Returns the relevance.

### setRelevance

    public void setRelevance(double relevance)

  Parameters:
    `relevance` - The relevance to set.

### getProfileUri

    public String getProfileUri()

  Returns:
    Returns the profileUri.

### setProfileUri

    public void setProfileUri(String profileUri)

  Parameters:
    `profileUri` - The profileUri to set.

### toString

    public String toString()

  Overrides:
    `toString` in class `ServiceProfileParameter`

### clone

    public ServiceProfileInfo clone()

  Overrides:
    `clone` in class `ServiceProfileParameter`

### getDescription

    public String getDescription()

  Returns:
    the description

### setDescription

    public void setDescription(String description)

  Parameters:
    `description` - the description to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD